/*
 * EOAssociationAdditions.m
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 *
 * Written by Kenny Leung, NeXT Technical Support
 *
 */

#import "EOAssociationAdditions.h"
#import "ObjectAdditions.h"

@implementation EOAssociation(TextDelegation)

- (BOOL)textWillChange:sender
{
    if ( [[controller delegate] respondsToSelector:@selector(controller:associationDidBeginEditing:)] )
        [[controller delegate] controller:controller associationDidBeginEditing:self];

    return NO;
}

@end
